(function (global, factory) {
    typeof exports === 'object' && typeof module !== 'undefined' ? factory(exports, require('react-form-with-constraints')) :
    typeof define === 'function' && define.amd ? define(['exports', 'react-form-with-constraints'], factory) :
    (global = typeof globalThis !== 'undefined' ? globalThis : global || self, factory(global.ReactFormWithConstraintsBootstrap = {}, global.ReactFormWithConstraints));
}(this, (function (exports, reactFormWithConstraints) { 'use strict';

    /*! *****************************************************************************
    Copyright (c) Microsoft Corporation.

    Permission to use, copy, modify, and/or distribute this software for any
    purpose with or without fee is hereby granted.

    THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES WITH
    REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY
    AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY SPECIAL, DIRECT,
    INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM
    LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR
    OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR
    PERFORMANCE OF THIS SOFTWARE.
    ***************************************************************************** */
    /* global Reflect, Promise */

    var extendStatics = function(d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };

    function __extends(d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    }

    var __assign = function() {
        __assign = Object.assign || function __assign(t) {
            for (var s, i = 1, n = arguments.length; i < n; i++) {
                s = arguments[i];
                for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p)) t[p] = s[p];
            }
            return t;
        };
        return __assign.apply(this, arguments);
    };

    var FieldFeedback = (function (_super) {
        __extends(FieldFeedback, _super);
        function FieldFeedback() {
            return _super !== null && _super.apply(this, arguments) || this;
        }
        FieldFeedback.defaultProps = __assign(__assign({}, reactFormWithConstraints.FieldFeedback.defaultProps), { classes: {
                error: 'invalid-feedback',
                warning: 'warning-feedback',
                info: 'info-feedback',
                whenValid: 'valid-feedback'
            } });
        return FieldFeedback;
    }(reactFormWithConstraints.FieldFeedback));
    var FieldFeedbackTooltip = (function (_super) {
        __extends(FieldFeedbackTooltip, _super);
        function FieldFeedbackTooltip() {
            return _super !== null && _super.apply(this, arguments) || this;
        }
        FieldFeedbackTooltip.defaultProps = __assign(__assign({}, reactFormWithConstraints.FieldFeedback.defaultProps), { classes: {
                error: 'invalid-tooltip',
                warning: 'warning-tooltip',
                info: 'info-tooltip',
                whenValid: 'valid-tooltip'
            } });
        return FieldFeedbackTooltip;
    }(reactFormWithConstraints.FieldFeedback));
    var Input = (function (_super) {
        __extends(Input, _super);
        function Input() {
            return _super !== null && _super.apply(this, arguments) || this;
        }
        Input.defaultProps = {
            classes: {
                isPending: 'is-pending',
                hasErrors: 'is-invalid',
                hasWarnings: 'is-warning',
                hasInfos: 'is-info',
                isValid: 'is-valid'
            }
        };
        return Input;
    }(reactFormWithConstraints.Input));

    Object.defineProperty(exports, 'Async', {
        enumerable: true,
        get: function () {
            return reactFormWithConstraints.Async;
        }
    });
    Object.defineProperty(exports, 'FieldFeedbacks', {
        enumerable: true,
        get: function () {
            return reactFormWithConstraints.FieldFeedbacks;
        }
    });
    Object.defineProperty(exports, 'FormWithConstraints', {
        enumerable: true,
        get: function () {
            return reactFormWithConstraints.FormWithConstraints;
        }
    });
    exports.FieldFeedback = FieldFeedback;
    exports.FieldFeedbackTooltip = FieldFeedbackTooltip;
    exports.Input = Input;

    Object.defineProperty(exports, '__esModule', { value: true });

})));
//# sourceMappingURL=react-form-with-constraints-bootstrap.development.js.map
